Subject: Re: [Bitcoin-development] Forking personal "vanity" versions...

From: "Luke-Jr" <[email-masked]>
Date: Thu, 28 Jul 2011 15:08:08 -0400

On Thursday, July 28, 2011 2:49:07 PM Gregory Maxwell wrote:
> On Thu, Jul 28, 2011 at 2:43 PM, Alan Grimes <[email-masked]> wrote:
> > To those who think there are too many vanity versions of bitcoin, all I
> > have to say is this:
>
> There is a 'vanity version' that removes the use of libdb or somehow
> magically requires you to not have its development headers installed
> on your system?

You'll get that error even with the headers installed, because the makefile 
doesn't add the proper include paths to GCC.

To build, I first: sed -i s/static/dynamic/ makefile.unix # because static 
libraries aren't standard on my OS (nor should they be)

Then: make -f makefile.unix DEBUGFLAGS="-I/usr/include/db4.8 -ggdb -O0" \
      -j4 USE_UPNP=1 bitcoind